%define pyorbit_version 2.0.1
%define pygtk2_version 2.6.2
%define gnome_python_version 2.6.2
%define brltty_version 3.7.2
%define gail_version 1.8.11
%define gnome_speech_version 0.3.10
%define eel_version 2.14.0
%define libspi_version 1.7.6

Summary: GNOME screen reader for people with visual impairments
Name: orca
Version: 2.20.0
Release: %mkrel 1
License: LGPL
Group: Accessibility
URL: http://live.gnome.org/Orca/
Source0: http://ftp.gnome.org/pub/GNOME/sources/orca/orca-%{version}.tar.bz2

BuildRoot: %{_tmppath}/orca-%{version}-%{release}-buildroot
BuildRequires:  pygtk2.0-devel >= %{pygtk2_version}
BuildRequires:  pyorbit-devel >= %{pyorbit_version}
BuildRequires:	gail-devel >= %{gail_version}
BuildRequires:	eel-devel >= %{eel_version}
BuildRequires:	libat-spi-devel >= %{libspi_version}
BuildRequires:	gnome-speech-devel >= %{gnome_speech_version}
BuildRequires:  brlapi-devel
BuildRequires:	gnome-python-bonobo
BuildRequires:	desktop-file-utils
Requires: gnome-python-bonobo
Requires: pygtk2.0-libglade
Requires: gnome-terminal

%description
A flexible, scriptable, extensible screen reader for the GNOME platform
that provides access via speech synthesis, braille, and magnification.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Accessibility" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name}

%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog NEWS
%{_bindir}/orca
%{py_platsitedir}/*orca*
%_mandir/man1/orca.1*
%{_datadir}/orca
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*




%changelog
* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 88890
- new version

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 79002
- new version

* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 71763
- new version

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63123
- new version

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-2mdv2008.0
+ Revision: 56613
- new version
- update file list

* Mon Jul 09 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 50626
- new version

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 40697
- new version

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.19.3-3mdv2008.0
+ Revision: 36227
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 2.19.0-1mdv2008.0
+ Revision: 13578
- new version


* Wed Apr 04 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-2mdv2007.1
+ Revision: 150521
- Fix dependencies to allow orca to start properly

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142104
- new version

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 126179
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 118847
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 111674
- new version

* Sun Jan 07 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 105301
- new version

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 2.17.4-1mdv2007.1
+ Revision: 98390
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-1mdv2007.1
+ Revision: 90693
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 88264
- fix file list
- new version
- add man page

* Fri Nov 17 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-2mdv2007.1
+ Revision: 85084
- Add missing dependency (Mdv bug #27215)
- Import orca

* Tue Sep 05 2006 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-1mdv2007.0
- Release 1.0.0

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 0.9.0-2mdv2007.0
- fix buildrequires

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.0-1mdv2007.0
- Release 0.9.0

* Sat Aug 12 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.7-2
- add BuildRequires: gnome-python-bonobo

* Wed Jul 26 2006 Frederic Crozat <fcrozat@mandriva.com> 0.2.7-1mdv2007.0
- Release 0.2.7

* Tue Jul 11 2006 Frederic Crozat <fcrozat@mandriva.com> 0.2.6-1mdv2007.0
- Release 0.2.6

* Sat Jun 17 2006 Frederic Crozat <fcrozat@mandriva.com> 0.2.5-1mdv2007.0
- Initial Mandriva package

